 subroutine crea_LOinfo(iord)
use lewis_module
dimension iord(norb)
character(3) aov
open(99,file=trim(prefix)//'LOinfo',status='unknown')
open(98,file=trim(prefix)//'FROZDELinfo',status='unknown')
write(99,*) norb



!
! Ecriture du fichier LOinfo contenant des infos sur les OL
! Ecriture du fichier FROZDELinfo contenant des infos sur les OL gelees
!
!
!   generation de l'ordre ijkloc
!
iord=0
n=0
! boucle de 1,3, pour ordonner selon les occ, act, virt
do icas=1,4
   do i=1,norb
      if(label_OL(i)(1:1)=='G') cycle
      if(icas==1.and.focvir(i)/='OCC') cycle
      if(icas==2.and.focvir(i)/='ACTO') cycle
      if(icas==3.and.focvir(i)/='ACTV') cycle
      if(icas==4.and.focvir(i)/='VIRT') cycle
      if(iord(i)/=0) cycle
! on a trouve une orbitale non encore assignee
      n=n+1
      iord(i)=n
! on cherche celles de meme nom et de meme oav (occ,act ou vir)
      do j=i+1,norb
         if(focvir(i)/=focvir(j)) cycle
         if(label_OL(i)==label_OL(j)) then
            n=n+1
            iord(j)=n
         endif
      enddo
   enddo
enddo

do i=1,norb
   if(iord(i).ne.0) then
      write(99,'(2i4,1x,a18,1x,a4,1x,a9,i4,1x,100a4)') &
      i,iord(i),label_OL(i),focvir(i),fsigpi(i) &
      ,fnat(i),atoms_in_LO(i,1:fnat(i))
   else
      write(98,'(i4,5x,a18,1x,a4,1x,a9,i4,1x,100a4)') &
      i,label_OL(i),focvir(i),fsigpi(i) &
      ,fnat(i),atoms_in_LO(i,1:fnat(i))
   endif
enddo
print*,' '
close(99)
close(98)
return
end

